Package org.opensaml.xmlsec.signature.support

# Interface SignerProvider

All Known Implementing Classes:
  `ApacheSantuarioSignerProviderImpl`

@ThreadSafe public interface SignerProvider
Interface for a component which is responsible for cryptographically computing and storing the actual digital signature content held within a `Signature` instance.

Implementations must be thread-safe.

Instances of this classes are usually used via the `Signer` service class.

## Method Summary

Modifier and Type
Method
Description
`void`
`signObject(Signature signature)`
Signs a single XMLObject.

## Method Details

### signObject

void signObject(@Nonnull Signature signature) throws SignatureException
Signs a single XMLObject.

Parameters:
  `signature` - the signature to computer the signature on
Throws:
  `SignatureException` - thrown if there is an error computing the signature